InftyReader

InftyEditor Version 2.04 (English Edition)

--------------------------------------------

1. Outline of the software

Infty Editor is an editor of mathematical documents, easy to use for everybody, having two modes of input interface for mathematical expressions:

  • keyboard based interface
  • handwriting interface

The mathematical symbols and expressions input from keyboard using LaTeX commands are displayed immediately in the form of printing style on the display of PC. The online help of command names list is also provided and can be displayed by a simple mouse click. There are also other short cut operations to help users inputting mathematical expressions.

Other than the keyboard based input method, it also provides an very easy intuitive handwriting interface. The handwritten mathematical expressions, by using pen tablet or by mouse drawing, are recognized by the system and input to the cursor position of editing document.

You can insert figures, tables, and graphs created by other softwares in graphic file formats (e.g. jpeg, png, etc.) into the document you are editing by InftyEditor.

You can print out the documents you created as you see in the display using the print function included in the editor.
Furthermore, you can output the document in HTML file format, paste it to Web-page, and view it with browsers, e.g. Internet Explorer.

Also, by saving in LaTeX source file format you can enjoy high quality printing performance of LaTeX.

We hope InftyEditor will help you authoring scientific documents including mathematical expressions and figures.

CAI System Corporation, http://www.caisystem.co.jp/infty/e/

InftyProject, http://www.inftyproject.org/

2.Remark

In the description of the present manual below, if you find the symbol [image], it should be interpreted as "\"(backslash) in the cases of non-Japanese OS.


Infty Editor and [File]

File Menu / Export

<Effective file formats>

File formats Infty Editor can open are:

1. XML file unique to Infty (*.iml) [image] [open]
2. LaTeX Source file (*.tex) [import] [image] [import TeX]

To open LaTeX Source file,"Input from LaTeX Source format" from "Import" in [file]menu.

<Export from [File] menu>

InftyEditor provides outputs of the edited results in several formats. The basic data format special for InftyEditor is a XML file with extension name ".iml". The other output formats of the current version are : LaTeX, HTML, MathML, Human Readable TeX.

[Save] (Ctrl+S) : Save the edited results in to a XML file unique to Infty (*.iml)

[Save As] : Save the edited results in to a XML file unique to Infty (*.iml)

[Export] -> [image] [Export HTML] (Ctrl+Shift+H) : Save the edited results in to a HTML file. Mathematical expressions will be inseted as images.

[Export] -> [image] [Export MathML] (Ctrl+Shift+H) : Save the edited results in to a XHTML file, using MathML for mathematical expressions.

[Export] -> [image] [Export Text] (Ctrl+Shift+X) : Save the edited results in to a text file (*.txt) using a "Human readable TeX" syntax for visually impared people.

<Export to LaTeX>

As for the output into usual LaTeX source files, select item [TeX] on the main menu bar or click the button [image] on the tool bar. As for the details, see here

<Other File Format Input/Output>

As for the Import/Export in other file formats, see : File Format Conversion Option.

<Page Frame >

You can select one of two modes of editing display, Page Frame: ON/OFF.
The page frame is consitent the print output by InftyEditor.

In case you use LaTeX system to get print output, users are recommended to set Page Frame OFF.

<Paper setting and print>

The paper setting that Infty Editor can print
are as follows:

[File] menu [image] Page property

E Paper size (B4,A4,B5) and orientation (Vertical, horizontal)
E Margin
E Page layout
E Title input

If the document created contains 2 or more pages, page number will be shown in the footer automatically. User can select no page number output mode.

<New page>
In case Page Frame ON, pushing Ctrl + Enter on keyboard, cursor moves to the head of next page. When there are two columns, cursor moves to the top of the nest column.


[Edit] menu

<Undo> [image] (U) Ctrl+Z:
Undoes up to 10 steps back to the previous status.

<Redo> [image] Ctrl+Y :
Redoes the undone steps.

<Cut> [image] (T) Ctrl+X :
Cuts the selected range and holds the information.

<Copy> [image] (C) Ctrl+C:
Copies the selected range and holds the information.

<Paste> [image] (P) Ctrl+V :
Pastes the information cut or copied.

You can paste character strings copied in the InftyEditor file (* iml ) to other applications through Windows clipboard, with mathematical expressions in LaTeX format.

Also, you can paste character strings written by other text editor with mathematical expressions using LaTeX commands to the editor of InftyReader.

<Delete> [image] (D) Del:
Deletes the selected range.

* The above six commands can be operated from the right click short cut menu too.

<Select All> Ctrl+A
Selects all the texts.

<Insert Image (figures, charts and images)>

In order to insert images, you have to prepare image files in one of the following formats:
.bmp, .jpeg(.jpg), .png, .tif (without lzw compression).

If you double click on the inserted image (or select "Image Position" from the @right click shortcut menu), you can select the image layout and the size.

Note that it is not possible to insert images into super/subscript position.

<Copy of Formulae as Images> Ctrl+Shift+C

Formulae written in InftyEditor can copied as image into the clip board of Windows, therefore it can be pasted into various Windows applications such as Microsoft Word, PowerPoint, etc.


[Format] menu

<Switching input mode>

Text mode (T)
Math mode (M)
(*See [image] "input mode")

TeX mode (X)
(*See [image] "TeX menu ")

<Footnote mark, etc. >

On entering afooter text in a thesis and such, select whether it should be super script [image] or sub script [image] within a line height.
Entering characters while the button is pressed makes super / subscript effective. Clicking the button after selecting a range of input text will make it effective as well.

As the status bar shows the mode currently selected, you can click and change the mode.

<Characters with accessary format>

(Italic) (Bold) (Frame line)

Entering the character while the button is pressed makes, these accessary formats are effective. Clicking the button after selecting the characters already entered, the dformats can be changed.
Characters having Italic and Bold styles are limited to Numeric, Roman, German, Latin, Latin2

When you wish to insert [image] (blank box) , enter spaces first, select them, and choose "frame line", then the box is entered.
( * Notice that these blank box is not compatible with LaTeX output, currently)

<Font size>

Establish the standard size in [Setting] menu.The standard size set here indicates the "Medium" in "font size" in [Format]menu (actual size: F 3 ).

From this standard size, "large" and "ultra large", crementing by 2 points each, and "small" and "ultra small", decrementing by 2 points each, will be the font sizes, 5 levels total. The font size can be changed by a simple click.

While entering characters, the button being pressed is effective.

When you wish to change the font size for the line already entered, move the cursor to the line and select new size from the menu, or click one of the font size switch button. Same size will be applied throughout the same paragraph.

As only one standard size is effective in one file, if you change the setting of standard size in the middle, the standard size (Medium: F 3 ) for the entire file is changed.

<Centering>

(Left align) (Centering) (Right align)

Character layout can be changed by paragraph. The selected button is applied while characters are entered. Or, clicking the button while the cursor stays in the paragraph changes the layout.


[Find] menu

You can Find and Replace not only in text mode but also in Math mode.

<Find in Text> [image] or F3
<Replace in Text>

<Find in Formula> [image] or Ctrl+F3
<Replace in Formula>

* In Math mode, you can find or replace only one lcharacter or symbol.

Click [image] or Ctrl+Space key you can choose a letter.

or press Ctrl+I key to chenge the form to Italic, and [image] or press Ctrl+B key to chenge to Bold.

*See [Format]menu-->"Characters with accessary format"


How to input

How to input mathematical expressions.

<Input mode switch>

Infty Editor provides Math mode to facilitate edition of mathematical expressions. You may switch the modes "Text mode"for the input of normal text and "Math mode" for formulae pressing the buttons text botton and [image] respectively on the tool bar.

text botton "Text mode" consists of sentences. In the text input mode,
characters are displayed in Upright in default setting.

"Math mode" is composed of character set, symbols, formulae. In Math input mode, characters (alphabets) are displayed in Italic in the default setting.

The button (depressed one) [image] on the tool bar shows the current input mode.
If you wish to switch the mode during input, follow one of the procedures below:
  • Click the button on toolbar.
  • Select "Text mode ( T )" or "Math mode(M)" in [Format] menu.
  • Modes can be changed alternately by pressing [Ctrl] key, or by pressing the space key while holding down the Ctrl key, according to the selected setting in the menu [Setting].
    ([Setting] -> "Option")

<How to change mode of written texts>

If you wish to change the mode of characters already input, select the range, and press one of the buttons text botton and [image].

<How to input special characters>

To input the characters or symbols which are not on the keyboard, InftyEdtor provides three methods as follows:

1. Keyboard based input method

Enter "\" followed by specific name, then convert it with Space key or Enter key.

For example, if you wish to input Greek letter alpha, enter \alpha from keyboard and then press Space (or Enter) key.

When you start inputting the command, the candidates are displayed.
So you can choose from them.

2. Menu operation based input method

Select from short cut menu with right click.

Up to five Characters recently selected are displayed.
It is useful when you use same character repeatedly.

Please see "Input reference" (List of characters and symbols) in the [ Help ] menu for the character/symbol commands and their classification.

Aprt from Math mode symbols, Latin character sets in Text mode is also possible to input from the symbol lists poped up by the right click of mouse.

3. Handwiting input

InftyEditor provides Handwiting interface to input mathematical expressions. Handwiting dialog box will pop up pressing the button [image] on the tool bar. As for the details, see here.

<How to input super/subscript >

<The general rule for cursor movement in Math mode>

In Math mode, you can move the cursor to the super/subscript position for every character.

Upper right superscript position
Press the up arrow key " [image] "from the cursor position on the right of a character.
Lower right subscript position
Press the down arrow key " [image] " from the cursor position on the right of a character.
Left side subscript
While the cursor is in the lower right subscript position (the right side of a character if it exists ), press the left arrow key " [image] ".

<one character superscript or subscript>

A convenient way is provided for highly frequent input of 1 character to the upper right and lower right subscript domain.

1. Enter the character to add superscript to.
2. Input ^ (hat) from the keyboard. (Cursor is at superscript position)
3. Input one character as superscript.(Cursor moves after the character.)

1. Enter the character to add subscript to.
2. Input _(under bar) from the keyboard. (Cursor is at subscript position)
3. Input one character as subscript. (Cursor moves after the character.)

<How to input mathematical syntax>

Fraction [image], Square root [image], Sum [image], Limit [image], Integral [image], Accent signs

To input a character in a place other than a base line such as fraction made of denominator and numerator, square root(radical sign) which contains character and symbol inside the sign, or math syntax with super/subscript, on the right or left corner of a character, there are following methods.

1. Keyboard based Input Method

 First, enter \ followed by certain name and then press space (or Enter)key.
Cursor should move inside the syntax so that you can enter characters and formula. If you need to enter super/subscript in several places, press the arrow key(' [image] ', ' [image] ', ' [image] ', ' [image]) after entering the first character. Then the cursor moves to the other position.

Click a button on the status bar or press the function key. (without Accent signs)

2. Menu Operation based Input Method

Select syntax from right click shortcut menu.
Pressing arrow key(' [image] ', ' [image] ', ' [image] ', ' [image] )moves cursor inside the syntax and then you can enter character and formula.

You can refer to [Help] menu -->"Input quick reference"(Mathematical Syntax List)
to check each command and input method.

3. Handwiting Input Interface

InftyEditor provides Handwiting interface to input mathematical expressions. Handwiting dialog box will pop up pressing the button [image] on the tool bar. As for the details, see here.

Fraction

1. Enter \frac (or simply \f ).
2. Press Space (or Enter) key, then cursor goes to the numerator position.
3. After entering numerator, press Enter (or right arrow '¨') key. Then cursor moves to the denominator. area.
4. After entering denominator, press Enter key. Then cursor moves outside (to the end) of the fraction..

After entering the numerator following 1, press the down arrow key ' [image] ', then cursor moves to the subscript of the character.. Pressing again the down arrow key ' [image] ', then cursor moves to the denominator position

<To enter the denominator first>
You can change the setting by [Setting]menu-->'Option' or [General] tab.

Or····

1. Click [image] on Status bar, or press the function key F 5 .
2. Follow the same procedure as [image] from 2..
Square root

1. Enter \sqrt (or simply \r)
2. Press Space (orEnter) key, then the cursor go into the square root symbol.
3. Enter the content of square root.
4. Press Enter key.. Then the cursor moves outside of (to the back of) the square root.

· In order to move to the position for exponential root, press the left arrow key ' [image] ' while cursor is at the head of the first character.

Or····

1. Click [image] on the Status bar or press the function key F 6 .
2. Follow the same procedure as [image] after 3.
Summation Type Expressions
(Symbol with two subscript areas)

Example: \sum

1. Input \sum (or simply \s).
2. Press Space(or Enter) key, then cursor goes to the subscript position right under the summation symbol.
3. After entering the subscript area data, press the up arrow key' [image] '. Then, cursor moves to the superscript position.
4. After entering the superscript area data, press Enter key. Then, cursor moves to the position after the summation symbol.

Or····

1. Click [image] on the Status bar or press the function key F7.
2. Follow the same procedure as [image] from 3.

prod, coprod, bigcup, bigcap, bigvee, bigwedge, bigoplus, bigotimes
Limit Type Expressins
(Symbol/String with one subscript area)

Example: \lim

1. Input \lim .
2. Press the Space (orEnter) key, then cursor goes to the subscript position right under the string "limit"
3. After entering the superscript area data, press Enter key. Then, cursor moves to the position after the string "limit".

Or····

1. Click [image] on the Status bar or press the Function key, F 8.
2. Follow the same procedure as [image] 3.

In case of entering with this procedure [image], the input includes x [image] [image] as subscript to the limit value.
Utilizing this (rewriting) will facilitate the input of n [image] [image], x [image] 0 .

inf, l.i.m, liminf, limsup, Max, max, Min, min, Pr, Res, sup, varinjlim, varliminf, varlimsup, varprojlim, iint, iiint, idotsint
Integral

Example: \int

1. Enter \int (or simply \i).
2. Press the Space(or Enter)key, then cursr goes to the subscript position..
3. Press the right arrow key' [image] ' after entering the subscript data. Cursor moves to the superscript position.
4. After entering the superscript data, press Enter key. Then, cursor moves to the position after the integral sign.

Or····

1. Click [image] from Status bar, or press the function key F 9 .
2. Follow the same procedure as [image] from 3.

oint

Accent signs

Example: \overline

1. Input \overline.
2. Press Space (or Enter) key. Cursor moves to right under the accent(overline) sign
3. After inputting the data under the accent sign, press Enter key. Then, cursor moves to the right to and outside of the accent sign.

Or····

1. Select 'overline' from 'Mathematical Syntax List' -->'Accent signs' in the right click shortcut menu
2. You will see the cursor after(outside of) the sign. Press the left arrow key, ' [image] 'and enter the character or sign to be added under the accent.

acute, grave, hat, tilde, check, breve, dot, ddot, vec, dddot, underline, ttilde

* Note that Latin letters in text area (eg. accent and cedille of French) are not assumed as the accent signs in mathematical syntax("Math mode" ).
They can be displayed in font as Latin letter in text mode.
Also, accent signs are not effective in text mode.
(See Symbol list Latin 1 and Latin 2)

Matrix [image] Simultaneous equation [image] input of oblong parentheses

To input long parentheses over multiple lines [, {, (, |, ||.

1. Enter \ and one of [, {, (, |, || successively.
2. Press Space (or Enter) key. Then, cursor goes to inside between a pair of parenthesis [ ], { }, ( ), etc.
3. After entering the each line data, press Shift + Enter key to go to the next line between parenthesis..

If 'closing parenthesis' is not needed as in Simultaneous equation, press the right arrow key,@' [image] ' after entering the formula, to move the cursor right in front of the 'closing parenthesis'. @(Here, the cursor is at the same height with 'closing parenthesis'), Then delete the closing parenthesis with [Delete] key.


[TeX function] menu

[TeX] menu

The document input by InftyEditor can be output in the printing form of LaTeX. And, it can be converted to PS (PostScript) file or a PDF (Adobe Portable Document Format) file, if the latest TeX environment is installed in the user's PC.

<Export TeX> [image] Ctrl+T

<Edit Source>

<Compile>

<Show DVI File>

<Show Log File>

<DVI -> PS Convert>
(*see -> [Setting] ->Option setting -> DVI Option)

<DVI -> PDF Convert>
(*see -> [Setting] ->Option setting -> DVI Option)

<Preamble>

In the dialog box below, user can design the preamble to be output in the head of LaTeX source file. The preamble design can also be read from existing LaTeX source in user's PC, by clicking the "Input from" button in the dialog box.

<Points to notice in the preparation of LaTeX sources>

In writing a source file of LaTeX, the treatment of spaces and line feeds is extremely different from writing text with usual word processors. So be careful about it.

1. In LaTeX, the spaces are automatically treated, and the spaces in the source file is ignored at print, in principle. If you wish to place blank intentionally, you must specify it explicitly in the source file as follows:

Space in horizontal direction: \+space, \quad, \hspace{1.5cm}, etc.
Space in vertical direction: \bigskip, \medskip, \vspace{3cm} , etc.

2.Line feed in LaTeX source file is neglected when printed. Generally, insert a blank line where you want to start a new line. Another way is to use line feed command, "\par". These two line feeds mean the end of a paragraph, and the line following the line feed is automatically indented. If you want new line without indenting the line, use "\\" command instead of "\par or a blank line. You may also use "\noindent" command.

Note that users have to adopt this rule on spacing in writing LaTeX source file with InftyEdito. InftyEditor displays the formula, bold/Italic, centering, etc. on the screen like the way it is printed as much as possible. However, to ensure that you can write freely without sacrificing LaTeX's power of expression, space control is supposed to be written according to the above two rules of LaTeX in InftyEditor, too if the document is to be saved in LaTeX source file format. As for the lin feed controle, user can select two modes in the conversion of InftyEditor source to LaTeX source, so that each line feed in InftyEditor source be converted either a single lin feed or double line feed in LaTeX source. (See the lower-right part of the dialog above.)

Shift+space: half size space is inserted. In TeX, the half size space ("\ ") is inserted.

When the document is saved in LaTeX source format, each formula within text is output between $ ... $. If you center the line which consists only of formula, the formula is output between $$ ... $$ as the Displaystyle formula in LaTeX.
The centered line of formula is treated as an independent formula when you start a new line with Enter key, but if you use Shift+Enter, successive lines are treated as one Displaystyle formula.

<Enhanced command input>

InftyEditor provides Tex mode so that you can use symbols or formula syntaxes not available in InftyEditor or convenient command of LaTeX such as \section, \subsection, \label, \begin{figure}, \begin{enumerate}, etc. If you press TeX button [image] in Tool button, you are in TeX mode and keyboard input strings are not converted automatically even if it contains \ sign and is displayed as strings as it is input in printing by TeX. (In the TeX source file, characters written in TeX mode are output using "\vervatim" command.)

The characters input in TeX mode in Text area is displayed in red(default).
The characters input in TeX mode in Math area is displayed in brown(default).


[Function] menu

Handwriting Interface to Input Mathematical Expressions

<Handwriting Input Pad>

[Handwriting input pad] window will popup by clicking on the button [image] on the ToolBar.

In this pad window, by dragging with the mouse button (or with the pen tablet, etc.), you can write characters, symbols and mathematical expressions. Each time you release the mouse button (or pen up) the written character is recognized and rewritten in beautiful stroke and the appropriate size. The meaning of the buttons on the top of the pad window are as follows:

All Delete: deletes all the input character.
Delete: deletes the character just entered.
Undo: goes back to the original status stroke by stroke
Execute: Inserts the recognized character into the Editor screen.

The characters like F or C, which may change to other letters with additional stroke (F [image] E,C [image] G) , conversion does not occur immediately after the mouse button (or pen) is released. But if you start to write the next character in other place, or one second passes without next writing, the character is converted. Therefore, just by keeping on writing formula, you can make them recognized one by one without extra key operation.

If the recognized character is different from what you intend to write, click the character with the mouse, then other candidate option will appear.

* If you wish to write an absolute value symbol,"|", drag the cursor (or pen) like a vertical line, then it is converted to the numerical "1", but if you click the character ("1"),it will change to the absolute value, "|" as the next option.

<Characters to be recognized in the Handwriting Input Pad>

The characters which the system can recognize are the following ones. High school mathematics level is assumed. The Greek letters not used so frequently are not included.

Alphabet | A,B,···Z, a,b,···z,
Numeral | 0,1,2,···9
Greek letter | F,Y,W,a,b,g,d,e,q,l,m,n,p,f,j,w
Special symbol | S, [image] [image] [image] , comma,period
Binominal operand | +,-, [image] , [image] , [image] , [image] , |, /, \, [image] , [image] ,
Relational operand | =, [image] , [image] , [image] , [image] , [image] , [image] , [image] , [image] , [image] , [image] ,
Function | lim, log, sin, cos, tan
Parentheses | (, ), {, }, [, ]

<Writing a character in Handwriting input mode>

For the letters difficult to distinguish from its lowercase or other characters, writing rules are defined as follows.

Character | Rule | Example
C, S (Captail) | Add a vertical line on the start point. |
U, V, W (Capital) | Add horizontal line on top |
X (Capital) | Add horizontal lines on top and bottom. |
P (Capital) | Add horizontal on the bottom. |
Z (Capital) | Add lines on both ends and the center. |
q (Lowercase) | Add a hairline (to distinguish from numerical"9") |

Direction of rotation in writing "O" or" [image] " is not specified. For certain characters, writing order is specified. So be sure to look through the table:List of writing rules of characters.


<Letters recognizable in hand writing mode>

* Writing "O" will show 0, Then click it .

* Input this will show "1". Then click it.

* Inputting these will show [image] and [image] respectively.


[Setting] menu

<Standard Font Setting>

Select full size font.
( * Half size fonts including special characters are specially established for Infty Editor and the setting cannot be changed.)

Establish the standard size.
The standard size established here sets the Medium in font size in[format] menu and F 3 size in toolbar.

This makes the base size, from which increment or decrement of 2pt starts as specified in [Format] menu or toolbar. In setting the standard size, you can choose the font size between 6pt and 46pt with the interval of 2pt. One standard size has to be set for one file. If you change the standard size in the middle, the change will affect not only the page you are working on but also the entire document.
* See [image] <Font size>

If you click [Set as default font] button, the setting of the standard font will be used as standard font from the next new document onward.

<Option Setting>

[General] tab

<Text/Math Change Key>

Choice of switch key between Text input mode and Math input mode. Probably, as for those who often use the Ctrl key as a shortcut key, it will be good to choose the latter.

<Cursor mouvement order in fraction>

For entering a fraction, you may select starting point of cursor movement from denominator or numerator, whichever easier to input.

<Page frame>

Select button to show page frame in editing display board.

[Color] tab

In this menu, you can change the background color and display color. Double clicking on the item will show the palette.

[DVI Option] tab

<DVI->PS Option>

It is a setup to chang a DVI file into PS (PostScript).

* See -><DVIPS help>

<DVI->PDF Use Application>

In case it aims at the display by UNIX and Macintosh, a check is put into the way of MX.EXE.

<File Format Conversion Option>

Setting checks in the dialog below, you can select Import/Export File Formats of InftyEditor enabled in the [File] ->[Import] or [File]->[Export] menu .

- The basic file format of InftyEditor is XML file with extension name ".iml".

- KML format is a format that additionally includes character rectangle information and recognition candidates information to the IML format.

- MathML format is a standard format worked by W3C. In more detail, please visit http://www.w3.org/Math/ .

- Human readable TeX is an output format (*.txt) for visually impaired individuals. Mathematical formulae are output using simplified LaTeX.notations for convenience to be read by users with visual disability, omitting various commands and simbols unnecessary to understand the meaning.

- Karlsruhe AMS-notation (Karlsruhe ASCII Mathematics Script) is a notation of mathematics developed in the Study Centre for Blind and Partially Sighted Students of the University of Karlsruhe.


Infty Editor and [File]

Recognition (Optoin)

If you install the software "InftyReader" Ver. 2.4.3 released from InftyProject, you can import data from printed mathematical documents. Characters and mathematical formulae are recognized and imported into InftyEditor, so that you can edit them and save the results into various formats.
InftyReader recognizes scanned page images of English documents including mathematical expressions. From each page image, picture areas, table areas and text areas are segmented automatically. Note that the system does not recognize figures nor tables. The English edition of InftyReader is usable free of charge by everybody except for commercial or business purpose.
Download site of InftyReader is : http://www.inftyproject.org/

Environment : InftyReader runs on MS Windows 2000 or XP. Note that it does not run on Windows 98 nor Me.
Important : In order to run InftyReader on Windows 2000, it is necessary to update your Windows 2000 to the recent one, since InftyReader makes use of some libraries included in the version 6 of Internet Explorer package.

[ Language]

Current version (English edition) recognizes only English texts. Be aware that it does not recognizes Japanese characters at all. Mixture of other occidental languages (e.g. French, Germany etc.) will be accepted to some extent.

[Source Image quality and file format (Important)]

The system recognizes only binary (black and white) page images carefully scanned in either 600 DPI or 400 DPI. The image files have to be prepared in TIFF CCITT-3, TIFF CCITT-4, or PNG format. Please be aware that the system cannot read other type of TIFF files such as e.g. LZW compression format.

The source documents have to be clearly printed.
Please adjust the binarization threshold of your scanner so that, in scanned page images, the number of the touched or broken characters be less than 1% of the total number of the characters in each page.

InftyReader erases small noises, segments page images into picture areas, table areas and text areas, and then recognizes text areas including mathematical expressions. However, to get better recognition results, users are recommended to erase noises, pictures and tables before the recognition.

<How to get recognition result?>

There are two way to get recognition results:

1. [Import Image File] (Ctrl+Shift+I)

If you have already scanned image files, select the menu items [File] - [Import Image File] successively. Then, in the dialog below, selecting image files to be recognized and press the button "Start Recognition". Then, the recognition results will be displayed in the main frame of "InftyEditor", the editor included in the InftyReader package.

The system recognizes only binary (black and white) page images carefully scanned in either 600 DPI or 400 DPI. The image files have to be prepared in TIFF CCITT-3 or CCITT-4 format. Be aware that the system cannot read other type of TIFF files e.g. LZW compression format.

2. [Import from Scanner] (Ctrl+Shift+S)

When your PC is connected to a scanner, images can be imported directly from papers through TWAIN device of the scanner.

In both cases, the source documents have to be clearly printed. Users are recommended to erase noises, pictures and tables before the recognition to get better recognition results. In scanning, users are recommended to ajust the binarization threshold of the scanner so that, in the scanned page images, the number of the touched or broken characters be less than 1% of the total number of the charactes in each page.

<Scanned Image View>

When recognized page images, "Sheet View Window" pops up.. In this window, you can see the scanned original image of the corresponding page, so that you can easily check the errors of the recognition. The button [image] on the ToolBar is an open/close switch of the sheet view window.

<Font Setting >

In most cases, books are printed in 10pt characters. Therefore, users are recommended to set Standard Font Size of InftyEditor to 10pt, before importing recognition results of InftyReader in advance.


DVIPSK HELP

 The following explanation is the contents of help that is a command prompt to 'dvipsk.exe. -- help' is performed.
Usage: dvipsk [OPTION]... FILENAME[.dvi]
a*  Conserve memory, not time      A   Print only odd (TeX) pages
b # Page copies, for posters e.g.  B   Print only even (TeX) pages
c # Uncollated copies              C # Collated copies
d # Debugging                      D # Resolution
e # Maxdrift value                 E*  Try to create EPSF
f*  Run as filter                  F*  Send control-D at end
                                   G*  Shift low chars to higher pos.
h f Add header file
i*  Separate file per section
j*  Download fonts partially
k*  Print crop marks               K*  Pull comments from inclusions
l # Last page                      L # Length of writet1 buffer (24KB)
m*  Manual feed                    M*  Don't make fonts
mode s Metafont device name
n # Maximum number of pages        N*  No structured comments
o f Output file                    O c Set/change paper offset
p # First page                     P s Load config.$s
pp l Print only pages listed
q*  Run quietly
r*  Reverse order of pages         R*  Run securely
s*  Enclose output in save/restore S # Max section size in pages
t s Paper format                   T c Specify desired page size
u s PS mapfile                     U*  Disable string param trick
v   Print version number and quit  V*  Send downloadable PS fonts as PK
x # Override dvi magnification     X # Horizontal resolution
y # Multiply by dvi magnification  Y # Vertical resolution
z*  Hyper PS                       Z*  Compress bitmap fonts
SJIS* Shift-JIS encoding
    # = number   f = file   s = string  * = suffix, `0' to turn off
    c = comma-separated dimension pair (e.g., 3.2in,-32.1cm)
    l = comma-separated list of page ranges (e.g., 1-4,7-9)

Email bug reports to tex-k@mail.tug.org.


Mathematical Syntax List

For entering mathematical syntax from the keyboard, input respective syntax name.

Fraction
Square root
Symbols having one subscript area
Symbols having two subscript areas
Integral
Accent signs

To input superscript or subscript

The general rule for cursor movement in Math mode

Superscript or subscript of one character


Fraction

1. Enter \frac (or simply \f ).
2. Press Space (or Enter) key, then cursor goes to the numerator position.
3. After entering numerator, press Enter (or right arrow '¨') key. Then cursor moves to the denominator. area.
4. After entering denominator, press Enter key. Then cursor moves outside (to the end) of the fraction..

After entering the numerator following 1, press the down arrow key ' [image] ', then cursor moves to the subscript of the character.. Pressing again the down arrow key ' [image] ', then cursor moves to the denominator position

<To enter the denominator first>
You can change the setting by [Setting]menu-->'Option' or [General] tab.

Or····

1. Click [image] on Status bar, or press the function key F 5 .
2. Follow the same procedure as [image] from 2..


Integral

Symbol | Input
 | \int
 | \oint

Example: \int

1. Enter \int (or simply \i).
2. Press the Space (or Enter) key, then the cursor goes to the subscript position.
3. After entering subscript area data, press the right arrow key..Then the cursor moves to the superscript position
4. After entering the superscript area data, press the Enter key. Then the cursor moves to the next character position of the integral sign.

Or····
1. Click [image] from Status bar, or press the function key F9.
2. Same procedure follows as [image] 3. 4.

* To enter [image] ( oint ), type \oint instead of \int.


Symbol with subscript right under it

Limit Type Expressins
(Symbol/String with one subscript area)

Character function | Input
inf | \inf
l.i.m | \l.i.m
lim | \lim
liminf | \liminf
limsup | \limsup
Max | \Max
max | \max
Min | \Min
min | \min
Pr | \Pr
Res | \Res
sup | \sup
varinjlim | \varinjlim
varliminf | \varliminf
varlimsup | \varlimsup
varprojlim | \varprojlim

Integral sign | Input
 | \iint
 | \iiint
 | \iiiint
 | \idotsint

Example: \lim

1. Input \lim .
2. Press the Space (orEnter) key, then cursor goes to the subscript position right under the string "limit"
3. After entering the superscript area data, press Enter key. Then, cursor moves to the position after the string "limit".

Or····
1. Click [image] on the Status bar or press the Function key, F8.
2. Same procedure as [image] 3. follows.

* The symbols you can add the subscript with this procedure is only limit value. For other symbols, to add the subscript right under them, follow the procedure of [image] or [image].

In case of entering with this procedure [image], the input includes x [image] [image] as subscript to the limit value. Utilizing this(rewriting) will facilitate the input of n [image] [image], x [image] 0

.


Square root

1. Enter \sqrt (or simply \r)
2. Press Space (orEnter) key, then the cursor go into the square root symbol.
3. Enter the content of square root.
4. Press Enter key.. Then the cursor moves outside of (to the back of) the square root.

· In order to move to the position for exponential root, press the left arrow key ' [image] ' while cursor is at the head of the first character.

Or····

1. Click [image] on the Status bar or press the function key F 6 .
2. Follow the same procedure as [image] after 3.

.


Symbol with super and/or subscript right above and/or right under it

Summation Type Expressions
(Symbol with two subscript areas)

Symbols | Input
 | \sum
 | \prod
 | \coprod
 | \bigcup
 | \bigcap
 | \bigvee
 | \bigwedge
 | \bigoplus
 | \bigotimes

Example: \sum

1. Input \sum (or simply \s) .
2. Press Space (or Enter) key., then the cursor goes to the subscript position right under the summation symbol.
3. After entering the subscript area data, press the up arrow key ' [image] '. Then the cursor moves to the superscript position.
4. After entering the superscript area data, press Enter key. Then the cursor moves to the next character position of the summation symbol.

* The cases of other symbols ( [image], [image], etc.) are similar .

Or····
1. Click [image] on the Status bar or press the function key F7 in Math mode.
2. Follow the aame procedure as [image] 3. 4 above.


1. Overview

  • What is it?
  • Remark

2. InftyEditor

  • File/Export
  • Edit
  • MathEdit
  • Format
  • Search
  • TeX
  • HandMathPad
  • Setting

3. Reference

  • SymbolList
  • SyntaxList


[Setting] menu

<Standard Font Setting>

Select font size.

Establish the standard size.
The standard size established here sets the Medium in font size in[format] menu and F 3 size in toolbar.

This makes the base size, from which increment or decrement of 2pt starts as specified in [Format] menu or toolbar. In setting the standard size, you can choose the font size between 6pt and 46pt with the interval of 2pt. One standard size has to be set for one file. If you change the standard size in the middle, the change will affect not only the page you are working on but also the entire document.
* See [image] <Font size>

If you click [Set as default font] button, the setting of the standard font will be used as standard font from the next new document onward.

<Option Setting>

[General] tab

<Text/Math Change Key>

Choice of switch key between Text input mode and Math input mode. Probably, as for those who often use the Ctrl key as a shortcut key, it will be good to choose the latter.

<Cursor mouvement order in fraction>

For entering a fraction, you may select starting point of cursor movement from denominator or numerator, whichever easier to input.

<Page frame>

Select button to show page frame in editing display board.

[Color] tab

In this menu, you can change the background color and display color. Double clicking on the item will show the palette.

[DVI Option] tab

<DVI->PS Option>

It is a setup to chang a DVI file into PS (PostScript).

* See -><DVIPS help>

<DVI->PDF Use Application>

If it is aimed to be displayed by UNIX or Macintosh, put a check in MX.EXE.


Symbol List

For the letters and symbols which cannot be entered from keyboard, see the column in the chart below which describes the input method. Pressing space key or Enter key after entering the character converts them.

Example: α
Enter "\alpha" then press the space(or Enter)key.

When you start to enter the command, options are displayed from which you can select.

Greek letters
Binary operators
 Relations
Arrows
Parenthesis
Points
Oval Numbers
Other symbols

Function Names

Latin 1
Latin 2

German
Black Board Bold
Calligraphic
Script


Accent sign

Symbol | Input
 | \acute
 | \grave
 | \hat
 | \tilde
 | \check
 | \breve
 | \overline
 | \dot
 | \ddot
 | \vec
 | \dddot
 | \underline
 | \ttilde

Example: \overline

1. Input \overline.
2. Press Space (or Enter) key. Cursor moves to right under the accent(overline) sign
3. After inputting the data under the accent sign, press Enter key. Then, cursor moves to the right to and outside of the accent sign.

Or····

1. Select 'overline' from 'Mathematical Syntax List' -->'Accent signs' in the right click shortcut menu
2. You will see the cursor after(outside of) the sign. Press the left arrow key, ' [image] 'and enter the character or sign to be added under the accent.

* Note that Latin letters in text area (eg. accent and cedille of French) are not assumed as the accent signs in mathematical syntax("Math mode" ).
They can be displayed in font as Latin letter in text mode.
Also, accent signs are not effective in text mode.
(See Symbol list Latin 1 and Latin 2)


Arrow

Symbols | Input
 | \leftarrow
 | \rightarrow
 | \Leftarrow
 | \Rightarrow
 | \leftrightarrow
 | \Leftrightarrow
 | \uparrow
 | \downarrow
 | \Uparrow
 | \Downarrow
 | \searow
 | \nearrow
 | \swarrow
 | \nwarrow
 | \mapsto
 | \hookrightarrow


Black Board Bold

Characters | Input
 | \BbbA
 | \BbbB
 | \BbbC
 | \BbbD
 | \BbbE
 | \BbbF
 | \BbbG
 | \BbbH
 | \BbbI
 | \BbbJ
 | \BbbK
 | \BbbL
 | \BbbM
 | \BbbN
 | \BbbO
 | \BbbP
 | \BbbQ
 | \BbbR
 | \BbbS
 | \BbbT
 | \BbbU
 | \BbbV
 | \BbbW
 | \BbbX
 | \BbbY
 | \BbbZ


Binominal operation symbols

Binary operators

Symbols | Input
\ | \backslash
 | \pm
 | \mp
 | \times (You can use "*" in Numeric key pad, too)
 | \div (You can use "/ " in Numeric key pad, too)
 | \oplus
 | \ominus
 | \otimes
 | \cup
 | \cap
É | \vee
È | \wedge
 | \dotplus
 | \ltimes
 | \rtimes
 | \bigodot
 | \Hat


Calligraphic

Characters | Input
 | \calA
 | \calB
 | \calC
 | \calD
 | \calE
 | \calF
 | \calG
 | \calH
 | \calI
 | \calJ
 | \calK
 | \calL
 | \calM
 | \calN
 | \calO
 | \calP
 | \calQ
 | \calR
 | \calS
 | \calT
 | \calU
 | \calV
 | \calW
 | \calX
 | \calY
 | \calZ


Function

Symbols | Input
arc | \arc
arccos | \arccos
Arccos | \Arccos
arcsin | \arcsin
Arcsin | \Arcsin
arctan | \arctan
Arctan | \Arctan
arg | \arg
Arg | \Arg
coker | \coker
Coker | \Coker
cos | \cos
cosh | \cosh
cot | \cot
coth | \coth
csc | \csc
deg | \drg
det | \det
Det | \Det
dim | \dim
Dim | \Dim
div | \div
Div | \Div
ess | \ess
exp | \exp
Exp | \Exp
Ext | \Ext
gcd | \gcd
grad | \grad
Grad | \Grad
hess | \hess
Hess | \Hess
hom | \hom
Hom | \Hom
Im | \Im
ker | \ker
Ker | \Ker
lg | \lg
In | \In
Log | \Log
log | \log
mod | \mod
Re | \Re
res | \res
Ric | \Ric
ric | \ric
sec | \sec
sin | \sin
sinh | \sinh
Spec | \Spec
spec | \spec
tan | \tan
tanh | \tanh
Tor | \Tor
Trace | \Trace
trace | \trace
Vol | \Vol
vol | \vol


German

Characters | Input
 | \frakA
 | \frakB
 | \frakC
 | \frakD
 | \frakE
 | \frakF
 | \frakG
 | \frakH
 | \frakI
 | \frakJ
 | \frakK
 | \frakL
 | \frakM
 | \frakN
 | \frakO
 | \frakP
 | \frakQ
 | \frakR
 | \frakS
 | \frakT
 | \frakU
 | \frakV
 | \frakW
 | \frakX
 | \frakY
 | \frakZ
 | \fraka
 | \frakb
 | \frakc
 | \frakd
 | \frake
 | \frakf
 | \frakg
 | \frakh
 | \fraki
 | \frakj
 | \frakk
 | \frakl
 | \frakm
 | \frakn
 | \frako
 | \frakp
 | \frakq
 | \frakr
 | \fraks
 | \frakt
 | \fraku
 | \frakv
 | \frakw
 | \frakx
 | \fraky
 | \frakz


Greek Ltters

Character | Input
G | \Gamma
D | \Delta
Q | \Theta
L | \Lambda
X | \Xi
P | \Pi
S | \Sigma
¡ | \Upsilon
F | \Phi
Y | \Psi
W | \Omega
a | \alpha
b | \beta
g | \gamma
d | \delta
Î | \epsilon
z | \zeta
h | \eta
q | \theta
i | \iota
k | \kappa
l | \lambda
m | \mu
n | \nu
x | \xi
p | \pi
r | \rho
s | \sigma
t | \tau
u | \upsilon
f | \phi
c | \chi
y | \psi
w | \omega
e | \varepsilon
J | \vartheta
v | \varpi
r | \varrho
V | \varsigma
j | \varphi


Latin 1

Characters | Input
À | \Agrave
Á | \Aacute
Â | \Ahat
Ã | \Atilde
Ä | \Addot
Å | \Acirc
Ç | \Ccedille
È | \Egrave
É | \Eacute
Ê | \Ehat
Ë | \Eumlaut
Ì | \Igrave
Í | \Iacute
Î | \Ihat
Ï | \Iumlaut
Ñ | \Ntilde
Ò | \Ograve
Ó | \Oacute
Ô | \Ohat
Õ | \Otilde
Ö | \Oumlaut
Ù | \Ugrave
Ú | \Uacute
Û | \Uhat
Ü | \Uumlaut
Ý | \Yacute
ß | \ss;
à | \agrave
á | \aacute
â | \ahat
ã | \atilde
ä | \aumlaut
â | \acirc
ç | \ccedille
è | \egrave
é | \eacute
ê | \ehat
ë | \eumlaut
ì | \igrave
í | \iacute
î | \ihat
ï | \iumlaut
ñ | \ntilde
ò | \ograve
ó | \oacute
ô | \ohat
õ | \otilde
ö | \oumlaut
ù | \ugrave
ú | \uacute
û | \uhat
ü | \uumlaut
ý | \yacute


Latin 2

Characters | Input
Ā | \Amacr
ā | \amacr
Ă | \Abreve
ă | \abreve
Ą | \Aogon
ą | \aogon
Ć | \Cacute
ć | \cacute
Ĉ | \Ccirc
ĉ | \ccirc
Ċ | \Cdot
ċ | \cwithdot
Č | \Ccaron
č | \ccaron
Ď | \Dcaron
ď | \dcaron
Đ | \Dstrok
đ | \dstrok
Ē | \Emacr
ē | \emacr
Ĕ | \Ebreve
ĕ | \ebreve
Ė | \Edot
ė | \edot
Ę | \Eogon
ę | \eogon
Ě | \Echeck
ě | \echeck
Ĝ | \Gcirc
ĝ | \gcirc
Ğ | \Gbreve
ğ | \gbreve
Ġ | \Gdot
ġ | \gdot
Ģ | \Gcedil
ģ | \gacute
Ĥ | \Hcirc
ĥ | \hcirc
Ħ | \Hstrok
ħ | \hstrok
Ĩ | \Itilde
ĩ | \itilde
Ī | \Imacr
ī | \imacr
Ĭ | \Ibreve
ĭ | \ibreve
Į | \Iogon
į | \iogon
İ | \Idot
ı | \imath
Ĳ | \IJlig
ĳ | \ijlig
Ĵ | \Jcirc
ĵ | \jcirc
Ķ | \Kcedil
ķ | \kcedil
ĸ | \kgreen
Ĺ | \Lacute
ĺ | \lacute
Ļ | \Lcedil
ļ | \lcedil
Ľ | \Lcaron
ľ | \lcaron
Ŀ | \Lmidot
ŀ | \lmidot
Ł | \Lstrok
ł | \lstrok
Ń | \Nacute
ń | \nacute
Ņ | \Ncedil
ņ | \ncedil
Ň | \Ncaron
ň | \ncaron
ŉ | \napos
Ŋ | \ENG
ŋ | \eng
Ō | \Omacr
ō | \omacr
Ŏ | \Obreve
ŏ | \obreve
Ő | \Odblac
ő | \odblac
Œ | \OElig
œ | \oelig
Ŕ | \Racute
ŕ | \racute
Ŗ | \Rcedil
ŗ | \rcedil
Ř | \Rcaron
ř | \rcaron
Ś | \Sacute
ś | \sacute
Ŝ | \Scirc
ŝ | \scirc
Ş | \Scedil
ş | \scedil
Š | \Scaron
š | \scaron
Ţ | \Tcedil
ţ | \tcedil
Ť | \Tcaron
ť | \tcaron
Ŧ | \Tstrok
ŧ | \tstrok
Ũ | \Utilde
ũ | \utilde
Ū | \Umacr
ū | \umacr
Ŭ | \Ubreve
ŭ | \ubreve
Ů | \Uring
ů | \uring
Ű | \Udblac
ű | \udblac
Ų | \Uogon
ų | \uogon
Ŵ | \Wcirc
ŵ | \wcirc
Ŷ | \Ycirc
ŷ | \ycirc
Ÿ | \Yuml
Ź | \Zacute
ź | \zacute
Ż | \Zadot
ż | \zdot
Ž | \Zcaron
ž | \zcaron


Other symbols

Symbols | Input
 | \smallint
 | \smalloint
 | \smallsqrt
'(prime) | press ' (on keyboard) in Math mode or \prime
 | \infty
 | \partial
 | \nabla
 | \ell
 | \hbar
 | \re
 | \im
 | \aleph
 | \emptyset
 | \forall
 | \exists
 | \neg
 | \angle
 | \triangle
 | \square
 | \parallelogram
 | \blacksquare
˜ | \section
 | \dagger
 | \ddagger
÷ | \KnuthP
 | \flat
 | \natural
@ | \copyright
 | \wp
 | \coprod
 | \star
- | \hyphen
 | \longhyphen
 | \doubleprime
 | \tripleprime

For other symbols the selected mode shall be applied.
Before entering, make sure to check if you are in Text mode or Math mode.


Symbol for marksheet

Numbers in oval

Characters | Input
0 | \egg0
1 | \egg1
2 | \egg2
3 | \egg3
4 | \egg4
5 | \egg5
6 | \egg6
7 | \egg7
8 | \egg8
9 | \egg9
: | \egg10
¡ | \egg11
¢ | \egg12
£ | \egg13
¤ | \egg14
¥ | \egg15
¦ | \egg16
§ | \egg17
¨ | \egg18
© | \egg19
ª | \egg20
« | \egg21
A | \eggA
B | \eggB
C | \eggC
D | \eggD
E | \eggE
F | \eggF
G | \eggG
H | \eggH
I | \eggI
J | \eggJ
K | \eggK
L | \eggL
M | \eggM
N | \eggN
O | \eggO
P | \eggP
Q | \eggQ
R | \eggR
S | \eggS
T | \eggT
U | \eggU
V | \eggV
W | \eggW
X | \eggX
Y | \eggY
Z | \eggZ
a | \egga
b | \eggb
c | \eggc
d | \eggd
e | \egge
f | \eggf
g | \eggg
h | \eggh
i | \eggi
j | \eggj
k | \eggk
l | \eggl
m | \eggm
n | \eggn
o | \eggo
p | \eggp
q | \eggq
r | \eggr
s | \eggs
t | \eggt
u | \eggu
v | \eggv
w | \eggw
x | \eggx
y | \eggy
z | \eggz


Parentheses

Parenthesis

Symbols | Input
 | \ulcorner
 | \urcorner
 | \llcorner
 | \lrcorner
 | \lfloor
 | \rfloor
 | \lceil
 | \rceil
 | \langle
 | \rangle

To input oblong parentheses over multiple lines (Only in math mode)

[, ], {, }, (, ), <, &gt, |, ||, Simultaneous equation, Matrix, etc.

Enter\, then select one from the list displayed
In case of the input from the keyboard, enter \ then enter one of [, {, (, &lt, |, ||.
*see input oblong parentheses over multiple lines


Points

Symbols | Input
” | \doubleendquartation
’ | \singleendquartation
 | \bullet;
‘ | \singlebeginquartation
“ | \doublebeginquartation
 | \circ
 | \cdots
 | \ldots
 | \cdot
 | \vdots
 | \ddots


Relational operation symbols

Relations

Symbols | Input
 | \in
 | \ni
 | \subset
 | \supset
 | \Subset
 | \Supset
 | \leq
 | \geq
 | \leqq
 | \geqq
 | \ll
 | \gg
 | \equiv
 | \doteqdot
 | \neq
 | \notsubset
 | \notsupset
 | \notin
 | \notni
 | \sim
 | \approx
 | \simeq
 | \cong
 | \prec
 | \succ
 | \propto
 | \parallel
 | \prep
 | \vdash
 | \dashv
 | \triangleleft
 | \triangleright
 | \risingdotseq
 | \fallingdotseq
 | \subseteq
 | \supseteq
 | \subseteqq
 | \supseteqq
 | \subsetnoteq
 | \supsetnoteq
 | \subsetnoteqq
 | \supsetnoteqq
 | \preceq
 | \succeq
 | \models
 | \notsimeq
 | \notleq
 | \notgeq
 | \notleqq
 | \notgeqq
 | \notequiv
 | \lessgtr
 | \gtrless
 | \notcong
 | \lessapprox
 | \gtrapprox
 | \smile
 | \frown
 | \asymp
 | \nmid
 | \nsubseteq
 | \nsupseteq
 | \notparallel


Script

Characters | Input
 | \scra
 | \scrb
 | \scrc
 | \scrd
 | \scre
 | \scrf
 | \scrg
 | \scrh
 | \scri
 | \scrj
 | \scrk
 | \scrl
 | \scrm
 | \scrn
 | \scro
 | \scrp
 | \scrq
 | \scrr
 | \scrs
 | \scrt
 | \scru
 | \scrv
 | \scrw
 | \scrx
 | \scry
 | \scrz